Bug 501847 - [ml_IN][GSUB] U+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D delete key can't delete the whole char
[ml_IN][GSUB] U+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D delete key can't dele...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 22:25 EDT by koka xiong
Modified: 2009-12-18 05:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:28:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description koka xiong 2009-05-20 22:25:35 EDT
DDescription of problem:
In gedit input U+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D with RAW CODE,then press delete key,it can delete the whole char

Version-Release number of selected component (if applicable):
pango-devel-1.22.1-1.fc10.i386
pango-1.22.1-1.fc10.i386
pangomm-2.14.0-2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1.In gedit input U+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D with RAW CODE,press delete key once

Actual results:
It can't delete the whole char when pressing once

Expected result:
It should can delete the whole char when pressing once

Additional info: 
U+0D05 U+0D2A U+0D4D U+0D21 U+0D47 U+0D31 U+0D4D U+0D31 U+0D4D
U+0D05 U+0D2A U+0D4D U+0D17 U+0D4D U+0D30 U+0D47 U+0D21 U+0D4D
U+0D35 U+0D4D U+0D2F U+0D15 U+0D4D U+0D24 U+0D02
U+0D07 U+0D28 U+0D4D U+200D U+0D38 U+0D4D U+0D31 U+0D4D U+0D31 U+0D4B U+0D33 U+0D4D U+200D
also has the same problem
Comment 1 Ani Peter 2009-11-04 05:45:48 EST
"Delete" key deletes the next character. So appreciate if you could elaborate the description of the bug.
Comment 2 koka xiong 2009-11-04 21:10:45 EST
In gedit input U+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D with RAW CODE ഡ്രൈവ്
Then press the cursor before the whole char ഡ്രൈവ്
Then press delete key,it can't delete the whole char,it just delete part of the whole char.
Comment 3 Pravin Satpute 2009-11-12 01:30:46 EST
delete key deletes syllable wise

so in this sequence..
U+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D

first delete should delete
U+0D21 U+0D4D U+0D30

second delete should delete
U+0D48

and third delete should delete
U+0D35 U+0D4D

Hi koka,

if things appearing like i have given above i guess better to close this bug
Comment 4 Bug Zapper 2009-11-18 06:59:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 04:28:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.